Page MenuHomePhabricator

Top edge of help dialogue should hold still while user is clicking through
Closed, ResolvedPublic

Description

We also had this issue with the RevisionSlider help dialogue, but it is fixed there now.

Issue

When clicking through the steps of the help dialogue the top edge of the dialogue moves up and down the screen and thus the location of the buttons that the user is trying to click on also moves.

Solution

The top of the dialogue should be fixed at a certain height (as is done in RevisionSlider)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2017, 8:29 AM

It looks like the relevant stuff for RevisionSlider was T145526 and https://gerrit.wikimedia.org/r/#/c/310329/

Sounds good. To get it right: This would mean that you can keep your mouse in place when clicking through?
We should check if a static position still works with different screen heights. (Just in case we have a fixed top/left absolute positioning)

This would mean that you can keep your mouse in place when clicking through?

Yes

Change 351627 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Fix help dialog top position

https://gerrit.wikimedia.org/r/351627

WMDE-Fisch moved this task from Proposed to Currently in sprint on the WMDE-QWERTY-Team board.

Change 351627 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Fix help dialog top position

https://gerrit.wikimedia.org/r/351627

WMDE-Fisch closed this task as Resolved.May 5 2017, 8:42 AM
WMDE-Fisch moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.
WMDE-Fisch removed a project: Patch-For-Review.
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jun 6 2017, 2:57 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 6 2017, 2:57 PM